# escape=`
FROM mcr.microsoft.com/windows/servercore:2004

ADD https://aka.ms/vs/15/release/channel C:\docker\visualstudio.release.chman
ADD https://aka.ms/vs/15/release/vs_buildtools.exe C:\docker\vs_buildtools.exe
COPY vs15.config C:\docker\.vsconfig

RUN C:\docker\vs_buildtools.exe --quiet --wait --norestart --nocache `
    --channelUri C:\docker\visualstudio.release.chman `
    --installChannelUri C:\docker\visualstudio.release.chman `
    --config "C:\docker\.vsconfig" `
    --installPath C:\msvc

VOLUME C:\source\
WORKDIR C:\source\
CMD ["powershell", "-NoExit", "-Command", "Import-Module C:\\msvc\\Common7\\Tools\\Microsoft.VisualStudio.DevShell.dll;", "Enter-VsDevShell -Verbose -VsInstallPath C:\\msvc\\ -DevCmdArguments -arch=amd64"]
